/*
 *  ImageServlet
 *  Copyright (C) 2008 Mark Elam
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *  For more information about the GNU Public license see:
 *  http://www.gnu.org/copyleft/gpl.html
 *
 *  ImageServlet is at:
 *  http://www.subtrack.org.uk
 *
 */

package uk.org.subtrack.imaging;

import java.awt.Color;
import java.awt.Font;
import java.awt.GradientPaint;
import java.awt.Graphics2D;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 *
 * @author Mark Elam
 */
public class BaseImage implements ImageBean {

    protected static Log _log = LogFactory.getLog(BaseImage.class);
    private static GradientPaint gradient =
            new GradientPaint(40, 0, new Color(0x52, 0x00, 0x99), 40, 40, new Color(0xe1, 0xbf, 0xff),
            true); // true means to repeat pattern
    private String text;

    public void drawGraphics(Graphics2D g2d, Integer height, Integer width) {
        g2d.setFont(new Font("Arial", Font.BOLD, 24));
        g2d.setPaint(gradient);
        g2d.drawString(text, 10, 70);
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }
}
